Subject: using the hso driver with cisco vpn client

From: Denis Joseph Barrow <[email-masked]>
Date: Thu, 09 Oct 2008 15:39:27 +0200

Hi Tamas,
I just realised something. You don't need a faked ethernet port in the hso driver to get ciscos vpn
client to work, I found out in the last few days that the modem port works
just fine on the hso driver despite the misleading comment which implies otherwise.
You should be able to use the modem interface in the hso driver to make a ppp connection,
this should work with your vpn cisco client
I've included a sample wvdial script which I use to make my connection.
You can use to ./ports.sh script from our 1.6 distribution on pharscape to find
the modem port of the 3g modem

-- 
best regards,
D.J. Barrow
[Dialer Defaults]
Modem = /dev/ttyHS4
Stupid Mode = 1
Init = AT+CGDCONT=1,,"internet.proximus.be"
Dial = ATD
Phone = *99#
Username = vodaphone
Password = vodaphone
Carrier Check = 1 
#New PPPD = yes